Lists non-billable time entries for a user within a date range.
curl --request POST \
--url https://{install}/api/time/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userId": "<string>",
"fromDate": "2023-11-07T05:31:56Z",
"toDate": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://{install}/api/time/{id}"
payload = {
"userId": "<string>",
"fromDate": "2023-11-07T05:31:56Z",
"toDate": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userId: '<string>',
fromDate: '2023-11-07T05:31:56Z',
toDate: '2023-11-07T05:31:56Z'
})
};
fetch('https://{install}/api/time/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://{install}/api/time/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"userId\": \"<string>\",\n \"fromDate\": \"2023-11-07T05:31:56Z\",\n \"toDate\": \"2023-11-07T05:31:56Z\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);

[
{
"entity": "<string>",
"dated": "2023-11-07T05:31:56Z",
"userId": "<string>",
"nonBillableId": "<string>",
"timeLogged": "<string>",
"comment": "<string>",
"tenantId": "<string>",
"id": "<string>",
"created": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updated": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"deleted": true
}
]Time
Lists non-billable time entries for a user within a date range.
POST
/
api
/
time
/
{id}
Lists non-billable time entries for a user within a date range.
Authorizations
JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.
Path Parameters
The unique identifier of the user (path is {id} to match the
time-entry CRUD shape so Kiota generates a single Time[id] indexer; the value
represents a user id for this verb).
Body
application/jsonapplication/*+json
The date range filter (defaults to the last 7 days).
Deletes a non-billable time entry by its identifier.
Previous
Updates an existing non-billable time entry.
Next
⌘I